@import '../../styles/colors.scss';

.YearSelection {
    width: 260px;
    height: 140px;
    display: flex;
    flex-direction: column;
    // background-color: #fff;

    .YearSelection__decade-toggle {
        display: flex;
        width: 260px;

        .button.icon {
            flex-basis: 15%;
            margin: 0;
            border-radius: 0;
        }

        .decade {
            flex-basis: 70%;
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: $color2;
            font-weight: bold;
        }
    }

    &__blocks {
        width: 270px;
        height: 140px;
        display: flex;
        flex-wrap: wrap;

        .YearSelection__block {
            width: 50px;
            height: 50px;
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: $color2;
            border-radius: .28571429rem;
            margin: 1px;
            outline: none;
            transition: background-color 500ms ease-in-out;

            &.highlighted {
                background-color: $color3;
            }

            &:hover {
                background-color: #cacbcd;
                background-image: none;
                box-shadow: 0 0 0 1px transparent inset,
                    0 0 0 0 rgba(34, 36, 38, .15) inset;
                color: rgba(0, 0, 0, .8);
                cursor: pointer;
            }

        }
    }
}